GUIX(SYSTEM)

NAME
guix system (GNU Guix) - manual page for guix system (GNU Guix) 1.3.0

SYNOPSIS
guix system [OPTION ...] ACTION [ARG ...] [FILE]

DESCRIPTION
Build the operating system declared in FILE according to ACTION. Some ACTIONS support additional ARGS.

The valid values for ACTION are:

search
    search for existing service types

reconfigure
    switch to a new operating system configuration

roll-back
    switch to the previous operating system configuration

describe
    describe the current system

    list-generations list the system generations switch-generation switch to an existing operating system configuration delete-generations delete old system generations build build the operating system without installing anything container build a container that shares the host's store vm build a virtual machine image that shares the host's store image build a Guix System image docker-image build a Docker image init initialize a root file system to run GNU extension-graph emit the service extension graph in Dot format shepherd-graph emit the graph of shepherd services in Dot format

-L, --load-path=DIR
    prepend DIR to the package module search path

-K, --keep-failed
    keep build tree of failed builds

-k, --keep-going
    keep going when some of the derivations fail

-n, --dry-run
    do not build the derivations

--fallback
    fall back to building when the substituter fails

--no-substitutes
    build instead of resorting to pre-built substitutes

--substitute-urls=URLS
    fetch substitute from URLS if they are authorized

--no-grafts
    do not graft packages

--no-offload
    do not attempt to offload builds

--max-silent-time=SECONDS
    mark the build as failed after SECONDS of silence

--timeout=SECONDS
    mark the build as failed after SECONDS of activity

--rounds=N
    build N times in a row to detect non-determinism

-c, --cores=N
    allow the use of up to N CPU cores for the build

-M, --max-jobs=N
    allow at most N build jobs

--debug=LEVEL
    produce debugging output at LEVEL

-d, --derivation
    return the derivation of the given system

-e, --expression=EXPR
    consider the operating-system EXPR evaluates to instead of reading FILE, when applicable

--allow-downgrades for 'reconfigure', allow downgrades to earlier
    channel revisions

--on-error=STRATEGY
    apply STRATEGY (one of nothing-special, backtrace, or debug) when an error occurs while reading FILE

--list-image-types list available image types

-t, --image-type=TYPE
    for 'image', produce an image of TYPE

--image-size=SIZE
    for 'image', produce an image of SIZE

--no-bootloader
    for 'init', do not install a bootloader

--volatile
    for 'image', make the root file system volatile

--label=LABEL
    for 'image', label disk image with LABEL

--save-provenance
    save provenance information

--share=SPEC
    for 'vm' and 'container', share host file system with read/write access according to SPEC

--expose=SPEC
    for 'vm' and 'container', expose host file system directory as read-only according to SPEC

-N, --network
    for 'container', allow containers to access the network

-r, --root=FILE
    for 'vm', 'image', 'container' and 'build', make FILE a symlink to the result, and register it as a garbage collector root

--full-boot
    for 'vm', make a full boot sequence

--skip-checks
    skip file system and initrd module safety checks

--target=TRIPLET
    cross-build for TRIPLET--e.g., "armel-linux-gnu"

-v, --verbosity=LEVEL
    use the given verbosity LEVEL

--graph-backend=BACKEND
    use BACKEND for 'extension-graphs' and 'shepherd-graph'

-h, --help
    display this help and exit

-V, --version
    display version information and exit

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <https://www.gnu.org/software/guix/>
General help using Guix and GNU software: <https://guix.gnu.org/en/help/>

COPYRIGHT
Copyright © 2021 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix system (GNU Guix) is maintained as a Texinfo manual. If the info and guix system (GNU Guix) programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.